%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:       Simple menu editor for MATE
Name:          mozo
Version:       1.28.0
Release:       %mkrel 1
Group:         Graphical desktop/MATE
License:       LGPLv2+
URL:           http://mate-desktop.org
Source0:       http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: pkgconfig(libmate-menu) >= 1.22.0
BuildRequires: pkgconfig(pygobject-3.0)

Obsoletes: mate-menu-editor
Provides: mate-menu-editor = %{version}-%{release}

Requires: glibc >= 2.33

%description
Mozo is a menu editor for MATE that lets you get things done,
simply and quickly.

Just click and type to edit, add, and delete any menu entry.

%prep
%setup -q

%build
%configure2_5x --disable-static

%make_build

pathfix.py -pni "%{__python3} -OOt" mozo

%install
rm -rf %buildroot
%make_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

perl -pi -e "s|Main Menu|Mate Menu Editor|" $RPM_BUILD_ROOT%{_datadir}/applications/mozo.desktop

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --all-name

%files -f %{name}.lang
%{python3_sitelib}/*
%{_bindir}/mozo
%{_datadir}/applications/*
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/mozo.1*


%changelog
* Mon Feb 19 2024 tex - 1.28.0-1pclos2024
- new version

* Wed Dec 07 2022 tex - 1.26.2-1pclos2022
- new version

* Wed Aug 03 2022 tex - 1.26.0-2pclos2022
- rebuild against updates

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.1-1pclos2021
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
